"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.fetchType = void 0;
var fetch_type_1 = __importDefault(require("./services/fetch-type"));
var prompt_helper_1 = require("./utils/prompt-helper");
function fetchType() {
    var _a = (0, prompt_helper_1.getUserInputs)(), entityInput = _a.entityInput, jsonUrlInput = _a.jsonUrlInput;
    (0, fetch_type_1.default)("".concat(jsonUrlInput)).then(function (res) {
        var resultStringify = JSON.stringify(res, null, 2).replace(/\"/g, "");
        var output = "type ".concat(entityInput, " = ").concat(resultStringify);
        console.log(output);
        (0, prompt_helper_1.copyResultToClipBoard)(output);
    });
}
exports.fetchType = fetchType;
