"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.copyResultToClipBoard = exports.getUserInputs = void 0;
var prompt_sync_1 = __importDefault(require("prompt-sync"));
var copy_paste_1 = __importDefault(require("copy-paste"));
var prompt = (0, prompt_sync_1.default)();
var getUserInputs = function () {
    var entityPrompt = prompt("enter with the entity name: ");
    var urlPrompt = prompt("enter with the json url: ");
    return { entityInput: entityPrompt, jsonUrlInput: urlPrompt };
};
exports.getUserInputs = getUserInputs;
var copyResultToClipBoard = function (result) {
    console.log('would you like to copy the result to your the clipboard?');
    var userAnswer = prompt('enter with yes or no: ');
    if (userAnswer === 'yes') {
        copy_paste_1.default.copy(result);
        console.log('copied!! thanks for giving a try 😉');
    }
    else {
        console.log('thanks for giving a try 😉');
    }
};
exports.copyResultToClipBoard = copyResultToClipBoard;
